Function
addInterval
Adds an interval to an interval tree.
addInterval(graph, propertyMap, interval)
addInterval(intervalTree, interval)
addInterval(intervalTree, begin, end, cargo)
addInterval(intervalTree, begin, end)
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

graph | The directed graph that contains the topography of the interval tree.
propertyMap | The property map containing the node properties of the interval tree.
interval | The interval to be added to the interval tree.
intervalTree | The interval tree to add the interval to. Types: IntervalTree
begin | Begin position of interval of type TValue.
end | End position of interval of type TValue.
cargo | Cargo to attach to the interval.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46